gtkmm: Gtk::ApplicationWindow Class Reference

gtkmm 3.10.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::ApplicationWindow Class Reference

A Gtk::Window subclass with Gtk::Application support. More...

Inheritance diagram for Gtk::ApplicationWindow:
[legend]

## Public Member Functions
virtual | ~ApplicationWindow ()
GtkApplicationWindow* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkApplicationWindow* | gobj () const
| Provides access to the underlying C GObject. More...
GtkApplicationWindow* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ApplicationWindow ()
| ApplicationWindow (const Glib::RefPtr< Application >& application)
void | set_show_menubar (bool show_menubar=true)
| Sets whether the window will display a menubar for the app menu and menubar as needed. More...
bool | get_show_menubar () const
| Returns whether the window will display a menubar for the app menu and menubar as needed. More...
guint | get_id () const
| Returns the unique ID of the window. More...
Glib::PropertyProxy< bool > | property_show_menubar ()
| TRUE if the window should show a menubar at the top of the window. More...
Glib::PropertyProxy_ReadOnly < bool > | property_show_menubar () const
| TRUE if the window should show a menubar at the top of the window. More...
Public Member Functions inherited from Gtk::Window
virtual | ~Window ()
GtkWindow* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkWindow* | gobj () const
| Provides access to the underlying C GtkObject. More...
| Window (WindowType type=WINDOW_TOPLEVEL)
Glib::PropertyProxy_ReadOnly < WindowType > | property_type () const
| The type of the window. More...
Glib::PropertyProxy < Glib::ustring > | property_title ()
| The title of the window. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_title () const
| The title of the window. More...
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_startup_id ()
| Unique startup identifier for the window used by startup-notification. More...
Glib::PropertyProxy< bool > | property_resizable ()
| If TRUE, users can resize the window. More...
Glib::PropertyProxy_ReadOnly < bool > | property_resizable () const
| If TRUE, users can resize the window. More...
Glib::PropertyProxy< bool > | property_modal ()
| If TRUE, the window is modal (other windows are not usable while this one is up). More...
Glib::PropertyProxy_ReadOnly < bool > | property_modal () const
| If TRUE, the window is modal (other windows are not usable while this one is up). More...
Glib::PropertyProxy < WindowPosition > | property_window_position ()
| The initial position of the window. More...
Glib::PropertyProxy_ReadOnly < WindowPosition > | property_window_position () const
| The initial position of the window. More...
Glib::PropertyProxy< int > | property_default_width ()
| The default width of the window, used when initially showing the window. More...
Glib::PropertyProxy_ReadOnly< int > | property_default_width () const
| The default width of the window, used when initially showing the window. More...
Glib::PropertyProxy< int > | property_default_height ()
| The default height of the window, used when initially showing the window. More...
Glib::PropertyProxy_ReadOnly< int > | property_default_height () const
| The default height of the window, used when initially showing the window. More...
Glib::PropertyProxy< bool > | property_destroy_with_parent ()
| If this window should be destroyed when the parent is destroyed. More...
Glib::PropertyProxy_ReadOnly < bool > | property_destroy_with_parent () const
| If this window should be destroyed when the parent is destroyed. More...
Glib::PropertyProxy< bool > | property_hide_titlebar_when_maximized ()
| If this window's titlebar should be hidden when the window is maximized. More...
Glib::PropertyProxy_ReadOnly < bool > | property_hide_titlebar_when_maximized () const
| If this window's titlebar should be hidden when the window is maximized. More...
Glib::PropertyProxy < Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| Icon for this window. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| Icon for this window. More...
Glib::PropertyProxy< bool > | property_mnemonics_visible ()
| Whether mnemonics are currently visible in this window. More...
Glib::PropertyProxy_ReadOnly < bool > | property_mnemonics_visible () const
| Whether mnemonics are currently visible in this window. More...
Glib::PropertyProxy < Glib::ustring > | property_icon_name ()
| Name of the themed icon for this window. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_icon_name () const
| Name of the themed icon for this window. More...
Glib::PropertyProxy < Glib::RefPtr< Gdk::Screen > > | property_screen ()
| The screen where this window will be displayed. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Screen > > | property_screen () const
| The screen where this window will be displayed. More...
Glib::PropertyProxy_ReadOnly < bool > | property_is_active () const
| Whether the toplevel is the current active window. More...
Glib::PropertyProxy_ReadOnly < bool > | property_has_toplevel_focus () const
| Whether the input focus is within this GtkWindow. More...
Glib::PropertyProxy < GdkWindowTypeHint > | property_type_hint ()
| Hint to help the desktop environment understand what kind of window this is and how to treat it. More...
Glib::PropertyProxy_ReadOnly < GdkWindowTypeHint > | property_type_hint () const
| Hint to help the desktop environment understand what kind of window this is and how to treat it. More...
Glib::PropertyProxy< bool > | property_skip_taskbar_hint ()
| TRUE if the window should not be in the task bar. More...
Glib::PropertyProxy_ReadOnly < bool > | property_skip_taskbar_hint () const
| TRUE if the window should not be in the task bar. More...
Glib::PropertyProxy< bool > | property_skip_pager_hint ()
| TRUE if the window should not be in the pager. More...
Glib::PropertyProxy_ReadOnly < bool > | property_skip_pager_hint () const
| TRUE if the window should not be in the pager. More...
Glib::PropertyProxy < Glib::ustring > | property_role ()
| Unique identifier for the window to be used when restoring a session. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_role () const
| Unique identifier for the window to be used when restoring a session. More...
Glib::PropertyProxy< bool > | property_decorated ()
| Whether the window should be decorated by the window manager. More...
Glib::PropertyProxy_ReadOnly < bool > | property_decorated () const
| Whether the window should be decorated by the window manager. More...
Glib::PropertyProxy< Gdk::Gravity > | property_gravity ()
| The window gravity of the window. More...
Glib::PropertyProxy_ReadOnly < Gdk::Gravity > | property_gravity () const
| The window gravity of the window. More...
Glib::PropertyProxy< Window* > | property_transient_for ()
| The transient parent of the dialog. More...
Glib::PropertyProxy_ReadOnly < Window* > | property_transient_for () const
| The transient parent of the dialog. More...
Glib::PropertyProxy< double > | property_opacity ()
| The opacity of the window, from 0 to 1. More...
Glib::PropertyProxy_ReadOnly < double > | property_opacity () const
| The opacity of the window, from 0 to 1. More...
Glib::PropertyProxy< bool > | property_has_resize_grip ()
| Specifies whether the window should have a resize grip. More...
Glib::PropertyProxy_ReadOnly < bool > | property_has_resize_grip () const
| Specifies whether the window should have a resize grip. More...
Glib::PropertyProxy_ReadOnly < bool > | property_resize_grip_visible () const
| Specifies whether the window's resize grip is visible. More...
Glib::PropertyProxy< bool > | property_urgency_hint ()
| TRUE if the window should be brought to the user's attention. More...
Glib::PropertyProxy_ReadOnly < bool > | property_urgency_hint () const
| TRUE if the window should be brought to the user's attention. More...
Glib::PropertyProxy< bool > | property_accept_focus ()
| TRUE if the window should receive the input focus. More...
Glib::PropertyProxy_ReadOnly < bool > | property_accept_focus () const
| TRUE if the window should receive the input focus. More...
Glib::PropertyProxy< bool > | property_focus_on_map ()
| TRUE if the window should receive the input focus when mapped. More...
Glib::PropertyProxy_ReadOnly < bool > | property_focus_on_map () const
| TRUE if the window should receive the input focus when mapped. More...
Glib::PropertyProxy< bool > | property_deletable ()
| Whether the window frame should have a close button. More...
Glib::PropertyProxy_ReadOnly < bool > | property_deletable () const
| Whether the window frame should have a close button. More...
Glib::PropertyProxy < Glib::RefPtr< Application > > | property_application ()
| The GtkApplication for the window. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Application > > | property_application () const
| The GtkApplication for the window. More...
Glib::PropertyProxy< bool > | property_focus_visible ()
| Whether focus rectangles are currently visible in this window. More...
Glib::PropertyProxy_ReadOnly < bool > | property_focus_visible () const
| Whether focus rectangles are currently visible in this window. More...
Glib::PropertyProxy< Widget* > | property_attached_to ()
| The widget where the window is attached. More...
Glib::PropertyProxy_ReadOnly < Widget* > | property_attached_to () const
| The widget where the window is attached. More...
Glib::SignalProxy1< void, Widget* > | signal_set_focus ()
void | set_title (const Glib::ustring& title)
| Sets the title of the Gtk::Window. More...
Glib::ustring | get_title () const
| Retrieves the title of the window. More...
void | set_wmclass (const Glib::ustring& wmclass_name, const Glib::ustring& wmclass_class)
| Don't use this function. More...
void | set_role (const Glib::ustring& role)
| This function is only useful on X11, not with other GTK+ targets. More...
void | set_startup_id (const Glib::ustring& startup_id)
| Startup notification identifiers are used by desktop environment to track application startup, to provide user feedback and other features. More...
Glib::ustring | get_role () const
| Returns the role of the window. More...
void | add_accel_group (const Glib::RefPtr< AccelGroup >& accel_group)
| Associate accel_group with window, such that calling gtk_accel_groups_activate() on window will activate accelerators in accel_group. More...
void | remove_accel_group (const Glib::RefPtr< AccelGroup >& accel_group)
| Reverses the effects of add_accel_group(). More...
void | set_position (WindowPosition position)
| Sets a position constraint for this window. More...
bool | activate_focus ()
| Activates the current focused widget within the window. More...
void | set_focus (Gtk::Widget& focus)
| If focus is not the current focus widget, and is focusable, sets it as the focus widget for the window. More...
void | unset_focus ()
Widget* | get_focus ()
| Retrieves the current focused widget within the window. More...
const Widget* | get_focus () const
| Retrieves the current focused widget within the window. More...
void | set_default (Gtk::Widget& default_widget)
| The default widget is the widget that's activated when the user presses Enter in a dialog (for example). More...
void | unset_default ()
Widget* | get_default_widget ()
| Returns the default widget for window. More...
const Widget* | get_default_widget () const
| Returns the default widget for window. More...
bool | activate_default ()
| Activates the default widget for the window, unless the current focused widget has been configured to receive the default action (see Gtk::Widget::set_receives_default()), in which case the focused widget is activated. More...
void | set_transient_for (Window& parent)
| Dialog windows should be set transient for the main application window they were spawned from. More...
void | unset_transient_for ()
| Unsets the current transient window. More...
Window* | get_transient_for ()
| Fetches the transient parent for this window. More...
const Window* | get_transient_for () const
| Fetches the transient parent for this window. More...
void | unset_attached_to ()
| Unsets the attached-to widget. More...
void | set_attached_to (Widget& attach_widget)
| Marks window as attached to attach_widget. More...
Widget* | get_attached_to ()
| Fetches the attach widget for this window. More...
const Widget* | get_attached_to () const
| Fetches the attach widget for this window. More...
void | set_opacity (double opacity)
| Request the windowing system to make window partially transparent, with opacity 0 being fully transparent and 1 fully opaque. More...
double | get_opacity () const
| Fetches the requested opacity for this window. More...
void | set_type_hint (Gdk::WindowTypeHint hint)
| By setting the type hint for the window, you allow the window manager to decorate and handle the window in a way which is suitable to the function of the window in your application. More...
Gdk::WindowTypeHint | get_type_hint () const
| Gets the type hint for this window. More...
void | set_skip_taskbar_hint (bool setting=true)
| Windows may set a hint asking the desktop environment not to display the window in the task bar. More...
bool | get_skip_taskbar_hint () const
| Gets the value set by set_skip_taskbar_hint() More...
void | set_skip_pager_hint (bool setting=true)
| Windows may set a hint asking the desktop environment not to display the window in the pager. More...
bool | get_skip_pager_hint () const
| Gets the value set by set_skip_pager_hint(). More...
void | set_urgency_hint (bool setting=true)
| Windows may set a hint asking the desktop environment to draw the users attention to the window. More...
bool | get_urgency_hint () const
| Gets the value set by set_urgency_hint() More...
void | set_accept_focus (bool setting=true)
| Windows may set a hint asking the desktop environment not to receive the input focus. More...
bool | get_accept_focus () const
| Gets the value set by set_accept_focus(). More...
void | set_focus_on_map (bool setting=true)
| Windows may set a hint asking the desktop environment not to receive the input focus when the window is mapped. More...
bool | get_focus_on_map () const
| Gets the value set by set_focus_on_map(). More...
bool | get_destroy_with_parent () const
| Returns whether the window will be destroyed with its transient parent. More...
void | set_hide_titlebar_when_maximized (bool setting=true)
| If setting is `true`, then window will request that it's titlebar should be hidden when maximized. More...
bool | get_hide_titlebar_when_maximized () const
| Returns whether the window has requested to have its titlebar hidden when maximized. More...
void | set_mnemonics_visible (bool setting=true)
| Sets the Gtk::Window::property_mnemonics_visible() property. More...
bool | get_mnemonics_visible () const
| Gets the value of the Gtk::Window::property_mnemonics_visible() property. More...
void | set_focus_visible (bool setting=true)
| Sets the Gtk::Window::property_focus_visible() property. More...
bool | get_focus_visible () const
| Gets the value of the Gtk::Window::property_focus_visible() property. More...
void | set_resizable (bool resizable=true)
| Sets whether the user can resize a window. More...
bool | get_resizable () const
| Gets the value set by set_resizable(). More...
void | set_gravity (Gdk::Gravity gravity)
| Window gravity defines the meaning of coordinates passed to move(). More...
Gdk::Gravity | get_gravity () const
| Gets the value set by set_gravity(). More...
void | set_geometry_hints (Widget& geometry_widget, const Gdk::Geometry& geometry, Gdk::WindowHints geom_mask)
| This function sets up hints about how a window can be resized by the user. More...
void | set_screen (const Glib::RefPtr< Gdk::Screen >& screen)
| Sets the Gdk::Screen where the window is displayed; if the window is already mapped, it will be unmapped, and then remapped on the new screen. More...
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Returns the Gdk::Screen associated with window. More...
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Returns the Gdk::Screen associated with window. More...
bool | is_active () const
| Returns whether the window is part of the current active toplevel. More...
bool | has_toplevel_focus () const
| Returns whether the input focus is within this GtkWindow. More...
void | set_decorated (bool setting=true)
| By default, windows are decorated with a title bar, resize controls, etc. More...
bool | get_decorated () const
| Returns whether the window has been set to have decorations such as a title bar via set_decorated(). More...
void | set_deletable (bool setting=true)
| By default, windows have a close button in the window frame. More...
bool | get_deletable () const
| Returns whether the window has been set to have a close button via set_deletable(). More...
std::vector< Glib::RefPtr < Gdk::Pixbuf > > | get_icon_list ()
| Retrieves the list of icons set by set_icon_list(). More...
std::vector< Glib::RefPtr < const Gdk::Pixbuf > > | get_icon_list () const
| Retrieves the list of icons set by set_icon_list(). More...
void | set_icon_list (const std::vector< Glib::RefPtr< Gdk::Pixbuf > >& list)
| Sets up the icon representing a Gtk::Window. More...
void | set_icon (const Glib::RefPtr< Gdk::Pixbuf >& icon)
| Sets up the icon representing a Gtk::Window. More...
void | set_icon_name (const Glib::ustring& name)
| Sets the icon for the window from a named themed icon. More...
bool | set_icon_from_file (const std::string& filename)
| Sets the icon for the window. More...
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list). More...
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list). More...
Glib::ustring | get_icon_name () const
| Returns the name of the themed icon for the window, see set_icon_name(). More...
void | set_modal (bool modal=true)
| Sets a window modal or non-modal. More...
bool | get_modal () const
| Returns whether the window is modal. More...
void | add_mnemonic (guint keyval, Widget& target)
| Adds a mnemonic to this window. More...
void | remove_mnemonic (guint keyval, Widget& target)
| Removes a mnemonic from this window. More...
bool | mnemonic_activate (guint keyval, Gdk::ModifierType modifier)
| Activates the targets associated with the mnemonic. More...
void | set_mnemonic_modifier (Gdk::ModifierType modifier)
| Sets the mnemonic modifier for this window. More...
Gdk::ModifierType | get_mnemonic_modifier ()
| Returns the mnemonic modifier for this window. More...
void | present ()
| Presents a window to the user. More...
void | present (guint32 timestamp)
| Presents a window to the user in response to a user interaction. More...
void | iconify ()
| Asks to iconify (i.e. minimize) the specified window. More...
void | deiconify ()
| Asks to deiconify (i.e. unminimize) the specified window. More...
void | stick ()
| Asks to stick window, which means that it will appear on all user desktops. More...
void | unstick ()
| Asks to unstick window, which means that it will appear on only one of the user's desktops. More...
void | maximize ()
| Asks to maximize window, so that it becomes full-screen. More...
void | unmaximize ()
| Asks to unmaximize window. More...
void | fullscreen ()
| Asks to place window in the fullscreen state. More...
void | unfullscreen ()
| Asks to toggle off the fullscreen state for window. More...
void | close ()
| Requests that the window is closed, similar to what happens when a window manager close button is clicked. More...
void | begin_resize_drag (Gdk::WindowEdge edge, int button, int root_x, int root_y, guint32 timestamp)
| Starts resizing a window. More...
void | begin_move_drag (int button, int root_x, int root_y, guint32 timestamp)
| Starts moving a window. More...
void | set_default_size (int width, int height)
| Sets the default size of a window. More...
void | get_default_size (int& width, int& height) const
| Gets the default size of the window. More...
void | resize (int width, int height)
| Resizes the window as if the user had done so, obeying geometry constraints. More...
void | get_size (int& width, int& height) const
| Obtains the current size of window. More...
void | move (int x, int y)
| Asks the window manager to move window to the given position. More...
void | get_position (int& root_x, int& root_y) const
| This function returns the position you need to pass to move() to keep window in its current position. More...
bool | parse_geometry (const Glib::ustring& geometry)
| Parses a standard X Window System geometry string - see the manual page for X (type 'man X') for details on this. More...
void | set_default_geometry (int width, int height)
| Like set_default_size(), but width and height are interpreted in terms of the base size and increment set with gtk_window_set_geometry_hints. More...
void | resize_to_geometry (int width, int height)
| Like resize(), but width and height are interpreted in terms of the base size and increment set with gtk_window_set_geometry_hints. More...
Glib::RefPtr< WindowGroup > | get_group ()
| Returns the group for window or the default group, if window is `0` or if window does not have an explicit window group. More...
Glib::RefPtr< const WindowGroup > | get_group () const
| Returns the group for window or the default group, if window is `0` or if window does not have an explicit window group. More...
bool | has_group () const
| Returns whether window has an explicit window group. More...
WindowType | get_window_type () const
| Gets the type of the window. More...
void | reshow_with_initial_size ()
| Hides window, then reshows it, resetting the default size and position of the window. More...
Glib::RefPtr< Application > | get_application ()
| Gets the Gtk::Application associated with the window (if any). More...
Glib::RefPtr< const Application > | get_application () const
| Gets the Gtk::Application associated with the window (if any). More...
void | set_application (const Glib::RefPtr< Application >& application)
| Sets or unsets the Gtk::Application associated with the window. More...
void | unset_application ()
| Unsets the Application associated with the window. More...
void | set_has_resize_grip (bool value=true)
| Sets whether window has a corner resize grip. More...
bool | get_has_resize_grip () const
| Determines whether the window may have a resize grip. More...
bool | get_resize_grip_is_visible () const
| Determines whether a resize grip is visible for the specified window. More...
bool | get_resize_grip_area (Gdk::Rectangle& rect) const
| If a window has a resize grip, this will retrieve the grip position, width and height into the specified Gdk::Rectangle. More...
void | set_keep_above (bool setting=true)
| Asks to keep window above, so that it stays on top. More...
void | set_keep_below (bool setting=true)
| Asks to keep window below, so that it stays in bottom. More...
void | set_titlebar (Widget& titlebar)
| Sets a custom titlebar for window. More...
Glib::RefPtr< AccelGroup > | get_accel_group ()
| Returns a default accel group for this window This is a gtkmm-specific function. More...
virtual void | raise ()
| Brings the window to the front. More...
virtual void | set_manage ()
| Overriden to warn that it doesn't make sense to use Gtk::manage() on this class because it has no parent container. More...
Public Member Functions inherited from Gtk::Bin
virtual | ~Bin ()
GtkBin* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkBin* | gobj () const
| Provides access to the underlying C GtkObject. More...
Gtk::Widget* | get_child ()
| Gets the child of the Gtk::Bin, or `0` if the bin contains no child widget. More...
const Gtk::Widget* | get_child () const
| Gets the child of the Gtk::Bin, or `0` if the bin contains no child widget. More...
void | remove ()
| Remove the contained object Since this can only hold one object it is not necessary to specify which object to remove like other containers. More...
void | add_label (const Glib::ustring& label, bool mnemonic=false, double x_align=0.5, double y_align=0.5)
| Add a Label object. More...
void | add_label (const Glib::ustring& label, bool mnemonic, Align x_align, Align y_align=ALIGN_CENTER)
| Add a Label object. More...
void | add_pixlabel (const std::string& pixfile, const Glib::ustring& label, double x_align=0.5, double y_align=0.5)
| Add Image and Label objects. More...
Public Member Functions inherited from Gtk::Container
virtual | ~Container ()
GtkContainer* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkContainer* | gobj () const
| Provides access to the underlying C GtkObject. More...
void | set_border_width (guint border_width)
| Sets the border width of the container. More...
guint | get_border_width () const
| Retrieves the border width of the container. More...
virtual void | add (Widget& widget)
void | remove (Widget& widget)
| Removes widget from container. More...
void | set_resize_mode (ResizeMode resize_mode)
| Sets the resize mode for the container. More...
ResizeMode | get_resize_mode () const
| Returns the resize mode for the container. More...
void | check_resize ()
| Request that contained widgets check their size. More...
void | foreach (const ForeachSlot& slot)
| Operate on contained items. More...
void | forall (const ForeachSlot& slot)
| Operate on contained items, including internal children. More...
std::vector< Widget* > | get_children ()
| (internal) Operate on contained items (see foreach()) More...
std::vector< const Widget* > | get_children () const
| Returns the container's non-internal children. More...
void | propagate_draw (Widget& child, const ::Cairo::RefPtr< ::Cairo::Context >& cr)
| When a container receives a call to the draw function, it must send synthetic Gtk::Widget::signal_draw() calls to all children that don't have their own Gdk::Windows. More...
void | set_focus_chain (const std::vector< Widget* >& focusable_widgets)
| Sets a focus chain, overriding the one computed automatically by GTK+. More...
bool | has_focus_chain () const
std::vector< Widget* > | get_focus_chain ()
std::vector< const Widget* > | get_focus_chain () const
void | unset_focus_chain ()
| Removes a focus chain explicitly set with set_focus_chain(). More...
void | set_reallocate_redraws (bool needs_redraws=true)
| Sets the reallocate_redraws flag of the container to the given value. More...
void | set_focus_child (Widget& widget)
| Sets the focus on a child. More...
Widget* | get_focus_child ()
| Returns the current focus child widget inside container. More...
const Widget* | get_focus_child () const
| Returns the current focus child widget inside container. More...
void | set_focus_vadjustment (const Glib::RefPtr< Adjustment >& adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget. More...
Glib::RefPtr< Adjustment > | get_focus_vadjustment ()
| Retrieves the vertical focus adjustment for the container. More...
Glib::RefPtr< const Adjustment > | get_focus_vadjustment () const
| Retrieves the vertical focus adjustment for the container. More...
void | set_focus_hadjustment (const Glib::RefPtr< Adjustment >& adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget. More...
Glib::RefPtr< Adjustment > | get_focus_hadjustment ()
| Retrieves the horizontal focus adjustment for the container. More...
Glib::RefPtr< const Adjustment > | get_focus_hadjustment () const
| Retrieves the horizontal focus adjustment for the container. More...
void | resize_children ()
GType | child_type () const
| Returns the type of the children supported by the container. More...
WidgetPath | get_path_for_child (const Widget& child) const
| Returns a newly created widget path representing all the widget hierarchy from the toplevel down to and including child. More...
Glib::SignalProxy1< void, Widget* > | signal_add ()
Glib::SignalProxy1< void, Widget* > | signal_remove ()
Glib::SignalProxy0< void > | signal_check_resize ()
Glib::SignalProxy1< void, Widget* > | signal_set_focus_child ()
void | show_all_children (bool recursive=true)
Public Member Functions inherited from Gtk::Widget
virtual | ~Widget ()
| Destroys the widget. More...
GtkWidget* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkWidget* | gobj () const
| Provides access to the underlying C GtkObject. More...
void | show ()
| Flags a widget to be displayed. More...
void | show_now ()
| Shows a widget. More...
void | hide ()
| Reverses the effects of show(), causing the widget to be hidden (invisible to the user). More...
void | show_all ()
| Recursively shows a widget, and any child widgets (if the widget is a container). More...
void | queue_draw ()
| Equivalent to calling queue_draw_area() for the entire area of a widget. More...
void | queue_draw_area (int x, int y, int width, int height)
| Convenience function that calls queue_draw_region() on the region created from the given coordinates. More...
void | queue_draw_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Invalidates the area of widget defined by region by calling gdk_window_invalidate_region() on the widget's window and all its child windows. More...
void | queue_resize ()
| This function is only for use in widget implementations. More...
void | size_allocate (const Allocation& allocation)
| This function is only used by Gtk::Container subclasses, to assign a size and position to their child widgets. More...
void | size_allocate (const Allocation& allocation, int baseline)
| This function is only used by Gtk::Container subclasses, to assign a size, position and (optionally) baseline to their child widgets. More...
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout. More...
void | get_preferred_width (int& minimum_width, int& natural_width) const
| Retrieves a widget's initial minimum and natural width. More...
void | get_preferred_height_for_width (int width, int& minimum_height, int& natural_height) const
| Retrieves a widget's minimum and natural height if it would be given the specified width. More...
void | get_preferred_height_for_width (int width, int& minimum_height, int& natural_height, int& minimum_baseline, int& natural_baseline) const
| Retrieves a widget's minimum and natural height and the corresponding baselines if it would be given the specified width, or the default height if width is -1. More...
void | get_preferred_height (int& minimum_height, int& natural_height) const
| Retrieves a widget's initial minimum and natural height. More...
void | get_preferred_width_for_height (int height, int& minimum_width, int& natural_width) const
| Retrieves a widget's minimum and natural width if it would be given the specified height. More...
void | get_preferred_size (Requisition& minimum_size, Requisition& natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget's preference for height-for-width management. More...
void | add_accelerator (const Glib::ustring& accel_signal, const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
| Installs an accelerator for this widget in accel_group that causes accel_signal to be emitted if the accelerator is activated. More...
bool | remove_accelerator (const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods)
| Removes an accelerator from widget, previously installed with add_accelerator(). More...
void | set_accel_path (const Glib::ustring& accel_path, const Glib::RefPtr< AccelGroup >& accel_group)
| Given an accelerator group, accel_group, and an accelerator path, accel_path, sets up an accelerator in accel_group so whenever the key binding that is defined for accel_path is pressed, widget will be activated. More...
bool | mnemonic_activate (bool group_cycling)
| Emits the Gtk::Widget::signal_mnemonic_activate() signal. More...
bool | event (GdkEvent* event)
| Rarely-used function. More...
int | send_expose (GdkEvent*event)
| Very rarely-used function. More...
bool | send_focus_change (GdkEvent*event)
| Sends the focus change event to widget. More...
bool | activate ()
| For widgets that can be "activated" (buttons, menu items, etc.) this function activates them. More...
void | reparent (Widget& new_parent)
| Moves a widget from one Gtk::Container to another, handling reference count issues to avoid destroying the widget. More...
bool | intersect (const Gdk::Rectangle& area) const
bool | intersect (const Gdk::Rectangle& area, Gdk::Rectangle& intersection) const
| Computes the intersection of a widget's area and area, storing the intersection in intersection, and returns `true` if there was an intersection. More...
::Cairo::RefPtr< ::Cairo::Region > | region_intersect (const ::Cairo::RefPtr< ::Cairo::Region >& region) const
| Computes the intersection of a widget's area and region, returning the intersection. More...
void | freeze_child_notify ()
| Stops emission of Gtk::Widget::signal_child_notify() signals on widget. More...
void | child_notify (const Glib::ustring& child_property)
| Emits a Gtk::Widget::signal_child_notify() signal for the child property child_property on widget. More...
void | thaw_child_notify ()
| Reverts the effect of a previous call to freeze_child_notify(). More...
void | set_can_focus (bool can_focus=true)
| Specifies whether widget can own the input focus. More...
bool | get_can_focus () const
| Determines whether widget can own the input focus. More...
bool | has_focus () const
| Determines if the widget has the global input focus. More...
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel. More...
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus. More...
void | grab_focus ()
| Causes widget to have the keyboard focus for the Gtk::Window it's inside. More...
void | set_can_default (bool can_default=true)
| Specifies whether widget can be a default widget. More...
bool | get_can_default () const
| Determines whether widget can be a default widget. More...
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel. More...
void | grab_default ()
| Causes widget to become the default widget. More...
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
bool | get_receives_default () const
| Determines whether widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
bool | has_grab () const
| Determines whether the widget is currently grabbing events, so it is the only widget receiving input events (keyboard and mouse). More...
bool | device_is_shadowed (const Glib::RefPtr< const Gdk::Device >& device)
| Returns `true` if device has been shadowed by a GTK+ device grab on another widget, so it would stop sending events to widget. More...
void | add_modal_grab ()
| Block events to everything else than this widget and its children. More...
void | remove_modal_grab ()
| Remove the modal grab of the widget in case it was previously grabbed. More...
void | set_name (const Glib::ustring& name)
| Widgets can be named, which allows you to refer to them from a CSS file. More...
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget. More...
void | set_state (StateType state)
| This function is for use in widget implementations. More...
StateType | get_state () const
| Returns the widget's state. More...
void | set_state_flags (StateFlags flags, bool clear=true)
| This function is for use in widget implementations. More...
void | unset_state_flags (StateFlags flags)
| This function is for use in widget implementations. More...
StateFlags | get_state_flags () const
| Returns the widget state as a flag set. More...
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget. More...
bool | get_sensitive () const
| Returns the widget's sensitivity (in the sense of returning the value that has been set using set_sensitive()). More...
bool | is_sensitive () const
| Returns the widget's effective sensitivity, which means it is sensitive itself and also its parent widget is sensitive. More...
void | set_visible (bool visible=true)
| Sets the visibility state of widget. More...
bool | get_visible () const
| Determines whether the widget is visible. More...
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible. More...
bool | get_has_window () const
| Determines whether widget has a Gdk::Window of its own. More...
bool | get_is_toplevel () const
| Determines whether widget is a toplevel widget. More...
bool | get_is_drawable () const
| Determines whether widget can be drawn to. More...
bool | get_realized () const
| Determines whether widget is realized. More...
bool | get_mapped () const
| Whether the widget is mapped. More...
void | set_app_paintable (bool app_paintable=true)
| Sets whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler. More...
bool | get_app_paintable () const
| Determines whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler. More...
void | set_double_buffered (bool double_buffered=true)
| Widgets are double buffered by default; you can use this function to turn off the buffering. More...
bool | get_double_buffered () const
| Determines whether the widget is double buffered. More...
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
| Sets whether the entire widget is queued for drawing when its size allocation changes. More...
void | set_child_visible (bool is_visible=true)
| Sets whether widget should be mapped along with its when its parent is mapped and widget has been shown with show(). More...
bool | get_child_visible () const
| Gets the value set with set_child_visible(). More...
Glib::RefPtr< Gdk::Window > | get_window ()
| Returns the widget's window if it is realized, `0` otherwise. More...
Glib::RefPtr< const Gdk::Window > | get_window () const
| Returns the widget's window if it is realized, `0` otherwise. More...
void | register_window (const Glib::RefPtr< Gdk::Window >& window)
| Registers a Gdk::Window with the widget and sets it up so that the widget receives events for it. More...
void | unregister_window (const Glib::RefPtr< Gdk::Window >& window)
| Unregisters a Gdk::Window from the widget that was previously set up with register_window(). More...
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget. More...
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget. More...
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to widget. More...
Allocation | get_allocation () const
| Retrieves the widget's location. More...
void | set_allocation (const Allocation& allocation)
| Sets the widget's allocation. More...
Container* | get_parent ()
| Returns the parent container of widget. More...
const Container* | get_parent () const
| Returns the parent container of widget. More...
Glib::RefPtr< Gdk::Window > | get_parent_window ()
| Gets widget's parent window. More...
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
| Gets widget's parent window. More...
void | set_parent_window (const Glib::RefPtr< const Gdk::Window >& parent_window)
| Sets a non default parent window for widget. More...
bool | child_focus (DirectionType direction)
| This function is used by custom widget implementations; if you're writing an app, you'd use grab_focus() to move the focus to a particular widget, and Gtk::Container::set_focus_chain() to change the focus tab order. More...
bool | keynav_failed (DirectionType direction)
| This function should be called whenever keyboard navigation within a single widget hits a boundary. More...
void | error_bell ()
| Notifies the user about an input-related error on this widget. More...
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget; that is, the widget's size request will be at least width by height. More...
void | get_size_request (int& width, int& height) const
| Gets the size request that was explicitly set for the widget using set_size_request(). More...
void | set_events (Gdk::EventMask events)
| Sets the event mask (see Gdk::EventMask) for a widget. More...
void | add_events (Gdk::EventMask events)
| Adds the events in the bitfield events to the event mask for widget. More...
void | set_device_events (const Glib::RefPtr< const Gdk::Device >& device, Gdk::EventMask events)
| Sets the device event mask (see Gdk::EventMask) for a widget. More...
void | add_device_events (const Glib::RefPtr< const Gdk::Device >& device, Gdk::EventMask events)
| Adds the device events in the bitfield events to the event mask for widget. More...
void | set_opacity (double opacity)
| Request the widget to be rendered partially transparent, with opacity 0 being fully transparent and 1 fully opaque. More...
double | get_opacity () const
| Fetches the requested opacity for this widget. More...
void | set_device_enabled (const Glib::RefPtr< Gdk::Device >& device, bool enabled=true)
| Enables or disables a Gdk::Device to interact with widget and all its children. More...
bool | get_device_enabled (const Glib::RefPtr< const Gdk::Device >& device) const
| Returns whether device can interact with widget and its children. More...
Container* | get_toplevel ()
| This function returns the topmost widget in the container hierarchy widget is a part of. More...
const Container* | get_toplevel () const
| This function returns the topmost widget in the container hierarchy widget is a part of. More...
Widget* | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type. More...
const Widget* | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type. More...
Glib::RefPtr< Gdk::Visual > | get_visual ()
| Gets the visual that will be used to render widget. More...
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Get the Gdk::Screen from the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Get the Gdk::Screen from the toplevel window associated with this widget. More...
bool | has_screen () const
| Checks whether there is a Gdk::Screen is associated with this widget. More...
int | get_scale_factor () const
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the Gdk::Display for the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the Gdk::Display for the toplevel window associated with this widget. More...
Glib::RefPtr< Gdk::Window > | get_root_window ()
| Get the root window where this widget is located. More...
Glib::RefPtr< const Gdk::Window > | get_root_window () const
| Get the root window where this widget is located. More...
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget. More...
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring& selection)
| Returns the clipboard object for the given selection to be used with widget. More...
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring& selection) const
| Returns the clipboard object for the given selection to be used with widget. More...
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space. More...
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space. More...
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget. More...
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag (see get_hexpand()) will be used. More...
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space. More...
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space. More...
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget. More...
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag (see get_vexpand()) will be used. More...
void | queue_compute_expand ()
| Mark widget as needing to recompute its expand flags. More...
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible. More...
bool | get_support_multidevice () const
| Returns `true` if widget is multiple pointer aware. More...
void | set_support_multidevice (bool support_multidevice=true)
| Enables or disables multiple pointer awareness. More...
Glib::RefPtr< Atk::Object > | get_accessible ()
| Returns the accessible object that describes the widget to an assistive technology. More...
Glib::RefPtr< const Atk::Object > | get_accessible () const
| Returns the accessible object that describes the widget to an assistive technology. More...
Align | get_halign () const
| Gets the value of the Gtk::Widget::property_halign() property. More...
void | set_halign (Align align)
| Sets the horizontal alignment of widget. More...
Align | get_valign () const
| Gets the value of the Gtk::Widget::property_valign() property. More...
Align | get_valign_with_baseline () const
| Gets the value of the Gtk::Widget::property_valign() property, including Gtk::ALIGN_BASELINE. More...
void | set_valign (Align align)
| Sets the vertical alignment of widget. More...
int | get_margin_left () const
| Gets the value of the Gtk::Widget::property_margin_left() property. More...
void | set_margin_left (int margin)
| Sets the left margin of widget. More...
int | get_margin_right () const
| Gets the value of the Gtk::Widget::property_margin_right() property. More...
void | set_margin_right (int margin)
| Sets the right margin of widget. More...
int | get_margin_top () const
| Gets the value of the Gtk::Widget::property_margin_top() property. More...
void | set_margin_top (int margin)
| Sets the top margin of widget. More...
int | get_margin_bottom () const
| Gets the value of the Gtk::Widget::property_margin_bottom() property. More...
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget. More...
Gdk::EventMask | get_events () const
| Returns the event mask for the widget (a bitfield containing flags from the Gdk::EventMask enumeration). More...
Gdk::EventMask | get_device_events (const Glib::RefPtr< const Gdk::Device >& device) const
| Returns the events mask for the widget corresponding to an specific device. More...
void | get_pointer (int& x, int& y) const
| Obtains the location of the mouse pointer in widget coordinates. More...
bool | is_ancestor (Widget& ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers. More...
bool | translate_coordinates (Widget& dest_widget, int src_x, int src_y, int& dest_x, int& dest_y)
| Translate coordinates relative to src_widget's allocation to coordinates relative to dest_widget's allocations. More...
void | override_color (const Gdk::RGBA& color, StateFlags state=STATE_FLAG_NORMAL)
| Sets the color to use for a widget. More...
void | unset_color (StateFlags state=STATE_FLAG_NORMAL)
| Undoes the effect of previous calls to override_color(). More...
void | override_background_color (const Gdk::RGBA& color, StateFlags state=STATE_FLAG_NORMAL)
| Sets the background color to use for a widget. More...
void | unset_background_color (StateFlags state=STATE_FLAG_NORMAL)
| Undoes the effect of previous calls to override_background_color(). More...
void | override_font (const Pango::FontDescription& font_desc)
| Sets the font to use for a widget. More...
void | unset_font ()
| Undoes the effect of previous calls to override_font(). More...
void | override_symbolic_color (const Glib::ustring& name, const Gdk::RGBA& color)
| Sets a symbolic color for a widget. More...
void | unset_symbolic_color (const Glib::ustring& name)
| Undoes the effect of previous calls to override_symbolic_color(). More...
void | override_cursor (const Gdk::RGBA& cursor, const Gdk::RGBA& secondary_cursor)
| Sets the cursor color to use in a widget, overriding the Gtk::Widget::property_cursor_color() and Gtk::Widget::property_secondary_cursor_color() style properties. More...
void | unset_cursor ()
| Undoes the effect of previous calls to override_cursor(). More...
void | reset_style ()
| Updates the style context of widget and all descendents by updating its widget path. More...
template<class PropertyType >
void | get_style_property (const Glib::ustring& the_property_name, PropertyType&value) const
| Gets the value of a style property of widget. More...
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context with the appropriate font map, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context with the appropriate font map, font description, and base direction for this widget. More...
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring& text)
| Creates a new Pango::Layout with the appropriate font map, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Gdk::Pixbuf > | render_icon_pixbuf (const StockID& stock_id, IconSize size)
| A convenience function that uses the theme engine and style settings for widget to look up stock_id and render it to a pixbuf. More...
void | set_composite_name (const Glib::ustring& name)
| Sets a widgets composite name. More...
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
| Obtains the composite name of a widget. More...
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget. More...
TextDirection | get_direction () const
| Gets the reading direction for a particular widget. More...
void | shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Sets a shape for this widget's GDK window. More...
void | input_shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Sets an input shape for this widget's GDK window. More...
WidgetPath | get_path () const
| Returns the Gtk::WidgetPath representing widget, if the widget is not connected to a toplevel widget, a partial path will be created. More...
std::vector< Widget* > | list_mnemonic_labels ()
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()). More...
std::vector< const Widget* > | list_mnemonic_labels () const
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()). More...
void | add_mnemonic_label (Widget& label)
| Adds a widget to the list of mnemonic labels for this widget. More...
void | remove_mnemonic_label (Widget& label)
| Removes a widget from the list of mnemonic labels for this widget. More...
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::ustring& target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const std::vector< TargetEntry >& targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window >& proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
void | drag_dest_unset ()
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::RefPtr< TargetList >& target_list) const
| Looks for a match between context->targets and the dest_target_list, returning the first matching target, otherwise returning Gdk::NONE. More...
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList >& target_list)
void | drag_dest_add_text_targets ()
void | drag_dest_add_image_targets ()
void | drag_dest_add_uri_targets ()
void | drag_source_set (const std::vector< TargetEntry >& targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf)
void | drag_source_set_icon (const StockID& stock_id)
| Sets the icon that will be used for drags from a particular source to a stock icon. More...
void | drag_source_set_icon (const Glib::ustring& icon_name)
| Sets the icon that will be used for drags from a particular source to a themed icon. More...
void | drag_source_add_text_targets ()
| Add the text targets supported by Gtk::Selection to the target list of the drag source. More...
void | drag_source_add_uri_targets ()
void | drag_source_add_image_targets ()
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList >& targets, Gdk::DragAction actions, int button, GdkEvent*event)
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList >& targets, Gdk::DragAction actions, int button, GdkEvent*event, int x, int y)
| Initiates a drag on the source side. More...
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext >& context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
| This function works like queue_resize(), except that the widget is not invalidated. More...
bool | get_no_show_all () const
| Returns the current value of the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget. More...
void | set_no_show_all (bool no_show_all=true)
| Sets the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget. More...
void | set_parent (Widget& parent)
| This function is useful only when implementing subclasses of Gtk::Container. More...
void | unparent ()
| This function is only for use in widget implementations. More...
void | map ()
| This function is only for use in widget implementations. More...
void | unmap ()
| This function is only for use in widget implementations. More...
void | draw_insertion_cursor (const ::Cairo::RefPtr< ::Cairo::Context >& cr, const Gdk::Rectangle& location, bool is_primary, TextDirection direction, bool draw_arrow=true)
| Draws a text caret on cr at location. More...
void | set_tooltip_window (Window& custom_window)
| Replaces the default, usually yellow, window used for displaying tooltips with custom_window. More...
Window* | get_tooltip_window ()
| Returns the Gtk::Window of the current tooltip. More...
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located. More...
void | set_tooltip_text (const Glib::ustring& text)
| Sets text as the contents of the tooltip. More...
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget. More...
void | set_tooltip_markup (const Glib::ustring& markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language. More...
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget. More...
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on widget to has_tooltip. More...
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property. More...
int | get_width () const
int | get_height () const
bool | is_composited () const
| Whether widget can rely on having its alpha channel drawn correctly. More...
bool | in_destruction () const
| Returns whether the widget is currently being destroyed. More...
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget. More...
Glib::RefPtr< Gtk::StyleContext > | get_style_context () const
| Returns the style context associated to widget. More...
Gdk::ModifierType | get_modifier_mask (Gdk::ModifierIntent intent)
| Returns the modifier mask the widget's windowing system backend uses for a particular purpose. More...
void | insert_action_group (const Glib::ustring& name, const Glib::RefPtr< Gio::ActionGroup >&group)
| Inserts group into widget. More...
void | remove_action_group (const Glib::ustring& name)
| Removes a group from the widget. More...
Glib::SignalProxy0< void > | signal_show ()
Glib::SignalProxy0< void > | signal_hide ()
Glib::SignalProxy0< void > | signal_map ()
| Emitted on mapping of a widget to the screen. More...
Glib::SignalProxy0< void > | signal_unmap ()
Glib::SignalProxy0< void > | signal_realize ()
| Emitted on realization of a widget. More...
Glib::SignalProxy0< void > | signal_unrealize ()
Glib::SignalProxy1< void, Allocation& > | signal_size_allocate ()
Glib::SignalProxy1< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy1< void, Gtk::StateFlags > | signal_state_flags_changed ()
Glib::SignalProxy1< void, Widget* > | signal_parent_changed ()
| Informs objects that their parent changed. More...
Glib::SignalProxy1< void, Widget* > | signal_hierarchy_changed ()
Glib::SignalProxy0< void > | signal_style_updated ()
Glib::SignalProxy1< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy1< void, bool > | signal_grab_notify ()
Glib::SignalProxy1< void, GParamSpec* > | signal_child_notify ()
Glib::SignalProxy1< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy0< void > | signal_grab_focus ()
Glib::SignalProxy1< bool, DirectionType > | signal_focus ()
Glib::SignalProxy1< bool, GdkEvent* > | signal_event ()
Glib::SignalProxy1< void, GdkEvent* > | signal_event_after ()
Glib::SignalProxy1< bool, GdkEventButton* > | signal_button_press_event ()
| Event triggered by user pressing button. More...
Glib::SignalProxy1< bool, GdkEventButton* > | signal_button_release_event ()
| Event triggered by user releasing button. More...
Glib::SignalProxy1< bool, GdkEventScroll* > | signal_scroll_event ()
Glib::SignalProxy1< bool, GdkEventMotion* > | signal_motion_notify_event ()
| Event triggered by user moving pointer. More...
Glib::SignalProxy1< bool, GdkEventAny* > | signal_delete_event ()
Glib::SignalProxy1< bool, const ::Cairo::RefPtr < ::Cairo::Context >& > | signal_draw ()
Glib::SignalProxy1< bool, GdkEventKey* > | signal_key_press_event ()
| Event triggered by a key press will widget has focus. More...
Glib::SignalProxy1< bool, GdkEventKey* > | signal_key_release_event ()
| Event triggered by a key release will widget has focus. More...
Glib::SignalProxy1< bool, GdkEventCrossing* > | signal_enter_notify_event ()
| Event triggered by pointer entering widget area. More...
Glib::SignalProxy1< bool, GdkEventCrossing* > | signal_leave_notify_event ()
| Event triggered by pointer leaving widget area. More...
Glib::SignalProxy1< bool, GdkEventConfigure* > | signal_configure_event ()
| Event triggered by a window resizing. More...
Glib::SignalProxy1< bool, GdkEventFocus* > | signal_focus_in_event ()
Glib::SignalProxy1< bool, GdkEventFocus* > | signal_focus_out_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_map_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_unmap_event ()
Glib::SignalProxy1< bool, GdkEventProperty* > | signal_property_notify_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_clear_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_request_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_notify_event ()
Glib::SignalProxy1< bool, GdkEventProximity* > | signal_proximity_in_event ()
Glib::SignalProxy1< bool, GdkEventProximity* > | signal_proximity_out_event ()
Glib::SignalProxy1< bool, GdkEventVisibility* > | signal_visibility_notify_event ()
Glib::SignalProxy1< bool, GdkEventWindowState* > | signal_window_state_event ()
Glib::SignalProxy3< void, SelectionData&, guint, guint > | signal_selection_get ()
Glib::SignalProxy2< void, const SelectionData&, guint > | signal_selection_received ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_begin ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_end ()
Glib::SignalProxy4< void, const Glib::RefPtr < Gdk::DragContext > &, SelectionData&, guint, guint > | signal_drag_data_get ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_data_delete ()
Glib::SignalProxy2< bool, const Glib::RefPtr < Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy2< void, const Glib::RefPtr < Gdk::DragContext >&, guint > | signal_drag_leave ()
Glib::SignalProxy4< bool, const Glib::RefPtr < Gdk::DragContext >&, int, int, guint > | signal_drag_motion ()
Glib::SignalProxy4< bool, const Glib::RefPtr < Gdk::DragContext >&, int, int, guint > | signal_drag_drop ()
Glib::SignalProxy6< void, const Glib::RefPtr < Gdk::DragContext >&, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::Screen >& > | signal_screen_changed ()
Glib::SignalProxy0< void > | signal_composited_changed ()
Glib::SignalProxy0< bool > | signal_popup_menu ()
Glib::SignalProxy4< bool, int, int, bool, const Glib::RefPtr < Tooltip >& > | signal_query_tooltip ()
Glib::SignalProxy1< bool, GdkEventGrabBroken* > | signal_grab_broken_event ()
Glib::SignalProxy1< bool, GdkEventExpose* > | signal_damage_event ()
Glib::SignalProxy1< bool, GdkEventTouch* > | signal_touch_event ()
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the widget. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the widget. More...
Glib::PropertyProxy< Container* > | property_parent ()
| The parent widget of this widget. More...
Glib::PropertyProxy_ReadOnly < Container* > | property_parent () const
| The parent widget of this widget. More...
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible. More...
Glib::PropertyProxy_ReadOnly < bool > | property_visible () const
| Whether the widget is visible. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input. More...
Glib::PropertyProxy_ReadOnly < bool > | property_sensitive () const
| Whether the widget responds to input. More...
Glib::PropertyProxy< bool > | property_app_paintable ()
| Whether the application will paint directly on the widget. More...
Glib::PropertyProxy_ReadOnly < bool > | property_app_paintable () const
| Whether the application will paint directly on the widget. More...
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget can accept the input focus. More...
Glib::PropertyProxy_ReadOnly < bool > | property_can_focus () const
| Whether the widget can accept the input focus. More...
Glib::PropertyProxy< bool > | property_has_focus ()
| Whether the widget has the input focus. More...
Glib::PropertyProxy_ReadOnly < bool > | property_has_focus () const
| Whether the widget has the input focus. More...
Glib::PropertyProxy< bool > | property_is_focus ()
| Whether the widget is the focus widget within the toplevel. More...
Glib::PropertyProxy_ReadOnly < bool > | property_is_focus () const
| Whether the widget is the focus widget within the toplevel. More...
Glib::PropertyProxy< bool > | property_can_default ()
| Whether the widget can be the default widget. More...
Glib::PropertyProxy_ReadOnly < bool > | property_can_default () const
| Whether the widget can be the default widget. More...
Glib::PropertyProxy< bool > | property_has_default ()
| Whether the widget is the default widget. More...
Glib::PropertyProxy_ReadOnly < bool > | property_has_default () const
| Whether the widget is the default widget. More...
Glib::PropertyProxy< bool > | property_receives_default ()
| If TRUE, the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly < bool > | property_receives_default () const
| If TRUE, the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly < bool > | property_composite_child () const
| Whether the widget is part of a composite widget. More...
Glib::PropertyProxy < Glib::RefPtr< Style > > | property_style ()
| The style of the widget, which contains information about how it will look (colors etc). More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Style > > | property_style () const
| The style of the widget, which contains information about how it will look (colors etc). More...
Glib::PropertyProxy < Gdk::EventMask > | property_events ()
| The event mask that decides what kind of GdkEvents this widget gets. More...
Glib::PropertyProxy_ReadOnly < Gdk::EventMask > | property_events () const
| The event mask that decides what kind of GdkEvents this widget gets. More...
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Whether this widget has a tooltip. More...
Glib::PropertyProxy_ReadOnly < bool > | property_has_tooltip () const
| Whether this widget has a tooltip. More...
Glib::PropertyProxy < Glib::ustring > | property_tooltip_markup ()
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_tooltip_markup () const
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy < Glib::ustring > | property_tooltip_text ()
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_tooltip_text () const
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Window > > | property_window () const
| The widget's window if it is realized. More...
Glib::PropertyProxy< bool > | property_no_show_all ()
| Whether gtk_widget_show_all() should not affect this widget. More...
Glib::PropertyProxy_ReadOnly < bool > | property_no_show_all () const
| Whether gtk_widget_show_all() should not affect this widget. More...
Glib::PropertyProxy< bool > | property_double_buffered ()
| Whether the widget is double buffered. More...
Glib::PropertyProxy_ReadOnly < bool > | property_double_buffered () const
| Whether the widget is double buffered. More...
Glib::PropertyProxy< Align > | property_halign ()
| How to position in extra horizontal space. More...
Glib::PropertyProxy_ReadOnly < Align > | property_halign () const
| How to position in extra horizontal space. More...
Glib::PropertyProxy< Align > | property_valign ()
| How to position in extra vertical space. More...
Glib::PropertyProxy_ReadOnly < Align > | property_valign () const
| How to position in extra vertical space. More...
Glib::PropertyProxy< int > | property_margin_left ()
| Pixels of extra space on the left side. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_left () const
| Pixels of extra space on the left side. More...
Glib::PropertyProxy< int > | property_margin_right ()
| Pixels of extra space on the right side. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_right () const
| Pixels of extra space on the right side. More...
Glib::PropertyProxy< int > | property_margin_top ()
| Pixels of extra space on the top side. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Pixels of extra space on the top side. More...
Glib::PropertyProxy< int > | property_margin_bottom ()
| Pixels of extra space on the bottom side. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Pixels of extra space on the bottom side. More...
Glib::PropertyProxy< int > | property_margin ()
| Pixels of extra space on all four sides. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
| Pixels of extra space on all four sides. More...
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether widget wants more horizontal space. More...
Glib::PropertyProxy_ReadOnly < bool > | property_hexpand () const
| Whether widget wants more horizontal space. More...
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the hexpand property. More...
Glib::PropertyProxy_ReadOnly < bool > | property_hexpand_set () const
| Whether to use the hexpand property. More...
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether widget wants more vertical space. More...
Glib::PropertyProxy_ReadOnly < bool > | property_vexpand () const
| Whether widget wants more vertical space. More...
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the vexpand property. More...
Glib::PropertyProxy_ReadOnly < bool > | property_vexpand_set () const
| Whether to use the vexpand property. More...
Glib::PropertyProxy< bool > | property_expand ()
| Whether widget wants to expand in both directions. More...
Glib::PropertyProxy_ReadOnly < bool > | property_expand () const
| Whether widget wants to expand in both directions. More...
Glib::PropertyProxy< double > | property_opacity ()
| The opacity of the widget, from 0 to 1. More...
Glib::PropertyProxy_ReadOnly < double > | property_opacity () const
| The opacity of the widget, from 0 to 1. More...
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
GObject* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GtkObject. More...
Public Member Functions inherited from Gtk::Buildable
virtual | ~Buildable ()
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_name (const Glib::ustring& name)
| Sets the name of the buildable object. More...
Glib::ustring | get_name () const
| Gets the name of the buildable object. More...
Public Member Functions inherited from Atk::Implementor
virtual | ~Implementor ()
AtkImplementor * | gobj ()
const AtkImplementor * | gobj () const
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor *object, bool take_copy=false)
Public Member Functions inherited from Gio::ActionGroup
virtual | ~ActionGroup ()
GActionGroup * | gobj ()
const GActionGroup * | gobj () const
bool | has_action (const Glib::ustring &action_name) const
std::vector< Glib::ustring > | list_actions () const
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantType &parameter_type, Glib::VariantBase &state_hint, Glib::VariantType &state_type, Glib::VariantBase &state)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantType &parameter_type, Glib::VariantBase &state_hint, Glib::VariantType &state_type)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantType &parameter_type, Glib::VariantBase &state_hint, Glib::VariantBase &state)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantType &parameter_type, Glib::VariantBase &state_hint)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantBase &state_hint, Glib::VariantType &state_type, Glib::VariantBase &state)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantBase &state_hint, Glib::VariantType &state_type)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantBase &state_hint, Glib::VariantBase &state)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantBase &state_hint)
bool | get_action_enabled (const Glib::ustring &action_name) const
Glib::VariantType | get_action_parameter_type (const Glib::ustring &action_name) const
Glib::VariantType | get_action_state_type (const Glib::ustring &action_name) const
Glib::VariantContainerBase | get_action_state_hint (const Glib::ustring &action_name) const
void | get_action_state_hint (const Glib::ustring &action_name, T_Value &value) const
Glib::VariantContainerBase | get_action_state_hint_variant (const Glib::ustring &action_name) const
Glib::VariantBase | get_action_state (const Glib::ustring &action_name) const
void | get_action_state (const Glib::ustring &action_name, T_Value &value) const
Glib::VariantBase | get_action_state_variant (const Glib::ustring &action_name) const
void | change_action_state (const Glib::ustring &action_name, const Glib::VariantBase &value)
void | activate_action (const Glib::ustring &action_name, const Glib::VariantBase &parameter)
void | activate_action (const Glib::ustring &action_name)
void | action_added (const Glib::ustring &action_name)
void | action_removed (const Glib::ustring &action_name)
void | action_enabled_changed (const Glib::ustring &action_name, bool enabled)
void | action_state_changed (const Glib::ustring &action_name, const Glib::VariantBase &state)
Glib::SignalProxy1< void, const Glib::ustring & > | signal_action_added ()
Glib::SignalProxy2< void, const Glib::ustring &, bool > | signal_action_enabled_changed ()
Glib::SignalProxy1< void, const Glib::ustring & > | signal_action_removed ()
Glib::SignalProxy2< void, const Glib::ustring &, const Glib::VariantBase & > | signal_action_state_changed ()
virtual bool | has_action_vfunc (const Glib::ustring &name) const
virtual std::vector < Glib::ustring > | list_actions_vfunc () const
virtual bool | get_action_enabled_vfunc (const Glib::ustring &name) const
virtual Glib::VariantType | get_action_parameter_type_vfunc (const Glib::ustring &name) const
virtual Glib::VariantType | get_action_state_type_vfunc (const Glib::ustring &name) const
virtual Glib::VariantBase | get_action_state_hint_vfunc (const Glib::ustring &name) const
virtual Glib::VariantBase | get_action_state_vfunc (const Glib::ustring &name) const
virtual void | change_action_state_vfunc (const Glib::ustring &name, const Glib::VariantBase &value)
virtual void | activate_action_vfunc (const Glib::ustring &name, const Glib::VariantBase &parameter)
Glib::RefPtr< Gio::ActionGroup > | wrap (GActionGroup *object, bool take_copy=false)
Public Member Functions inherited from Gio::ActionMap
virtual | ~ActionMap ()
GActionMap * | gobj ()
const GActionMap * | gobj () const
Glib::RefPtr< Action > | lookup_action (const Glib::ustring &action_name)
Glib::RefPtr< const Action > | lookup_action (const Glib::ustring &action_name) const
Glib::RefPtr< SimpleAction > | add_action (const Glib::ustring &name)
Glib::RefPtr< SimpleAction > | add_action_with_parameter (const Glib::ustring &name, const ActivateWithParameterSlot &slot)
Glib::RefPtr< SimpleAction > | add_action (const Glib::ustring &name, const ActivateSlot &slot)
Glib::RefPtr< SimpleAction > | add_action_bool (const Glib::ustring &name, bool state=false)
Glib::RefPtr< SimpleAction > | add_action_bool (const Glib::ustring &name, const ActivateSlot &slot, bool state=false)
Glib::RefPtr< SimpleAction > | add_action_radio_string (const Glib::ustring &name, const Glib::ustring &state)
Glib::RefPtr< SimpleAction > | add_action_radio_string (const Glib::ustring &name, const ActivateWithStringParameterSlot &slot, const Glib::ustring &state)
Glib::RefPtr< SimpleAction > | add_action_radio_integer (const Glib::ustring &name, gint32 state)
Glib::RefPtr< SimpleAction > | add_action_radio_integer (const Glib::ustring &name, const ActivateWithIntParameterSlot &slot, gint32 state)
void | add_action (const Glib::RefPtr< Action > &action)
void | remove_action (const Glib::ustring &action_name)
virtual Glib::RefPtr< Action > | lookup_action_vfunc (const Glib::ustring &name) const
virtual void | add_action_vfunc (Glib::RefPtr< Action > action) const
virtual void | remove_action_vfunc (const Glib::ustring &name)
Glib::RefPtr< Gio::ActionMap > | wrap (GActionMap *object, bool take_copy=false)

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Window
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static void | set_default_icon_list (const std::vector< Glib::RefPtr< Gdk::Pixbuf > >& list)
| Sets an icon list to be used as fallback for windows that haven't had set_icon_list() called on them to set up a window-specific icon list. More...
static std::vector < Glib::RefPtr< Gdk::Pixbuf > > | get_default_icon_list ()
| Gets the value set by Gtk::Window::set_default_icon_list(). More...
static void | set_default_icon (const Glib::RefPtr< Gdk::Pixbuf >& icon)
| Sets an icon to be used as fallback for windows that haven't had set_icon() called on them from a pixbuf. More...
static void | set_default_icon_name (const Glib::ustring& name)
| Sets an icon to be used as fallback for windows that haven't had set_icon_list() called on them from a named themed icon, see set_icon_name(). More...
static bool | set_default_icon_from_file (const std::string& filename)
| Sets an icon to be used as fallback for windows that haven't had set_icon_list() called on them from a file on disk. More...
static void | set_auto_startup_notification (bool setting=true)
| By default, after showing the first Gtk::Window, GTK+ calls gdk_notify_startup_complete(). More...
static std::vector< Window* > | list_toplevels ()
| Returns a list of all existing toplevel windows. More...
Static Public Member Functions inherited from Gtk::Bin
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Container
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Widget* | get_current_modal_grab ()
| Retrieve the widget which is currently grabbing all events. More...
static void | push_composite_child ()
| Makes all newly-created widgets as composite children until the corresponding pop_composite_child() call. More...
static void | pop_composite_child ()
| Cancels the effect of a previous call to push_composite_child(). More...
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets where the direction has not been explicitly set by set_direction(). More...
static TextDirection | get_default_direction ()
| Obtains the current default reading direction. More...
static Widget* | drag_get_source_widget (const Glib::RefPtr< Gdk::DragContext >& context)
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Implementor
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gio::ActionGroup
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gio::ActionMap
static void | add_interface (GType gtype_implementer)
static GType | get_type ()

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gtk::ApplicationWindow > | wrap (GtkApplicationWindow* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Window
Gtk::Window* | wrap (GtkWindow* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Bin
Gtk::Bin* | wrap (GtkBin* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Container
Gtk::Container* | wrap (GtkContainer* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Widget
Gtk::Widget* | wrap (GtkWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::Container
typedef sigc::slot< void, Widget& > | ForeachSlot
| For instance, void on_foreach(Gtk::Widget* widget);. More...
Public Types inherited from Gio::ActionMap
typedef sigc::slot< void, const Glib::VariantBase & > | ActivateWithParameterSlot
typedef sigc::slot< void > | ActivateSlot
typedef sigc::slot< void, const Glib::ustring & > | ActivateWithStringParameterSlot
typedef sigc::slot< void, int > | ActivateWithIntParameterSlot
Protected Member Functions inherited from Gtk::Window
virtual void | on_set_focus (Widget* focus)
| This is a default handler for the signal signal_set_focus(). More...
void | destroy_ ()
Protected Member Functions inherited from Gio::ActionGroup
| ActionGroup ()
virtual void | on_action_added (const Glib::ustring &action_name)
virtual void | on_action_enabled_changed (const Glib::ustring &action_name, bool enabled)
virtual void | on_action_removed (const Glib::ustring &action_name)
virtual void | on_action_state_changed (const Glib::ustring &action_name, const Glib::VariantBase &value)
Protected Member Functions inherited from Gio::ActionMap
| ActionMap ()
Static Protected Member Functions inherited from Gtk::Widget
static bool | should_draw_window (const ::Cairo::RefPtr< const ::Cairo::Context >& cr, const Glib::RefPtr< const Gdk::Window >& window)
| This function is supposed to be called in Gtk::Widget::signal_draw() implementations for widgets that support multiple windows. More...

## Detailed Description

A Gtk::Window subclass with Gtk::Application support.

ApplicationWindow is a Gtk::Window subclass that offers some extra functionality for better integration with Gtk::Application features. Notably, it can handle both the application menu as well as the menubar. See set_app_menu() and set_menubar().

This class derives from Gio::ActionGroup and Gio::ActionMap, to let you add window-specific actions that will be exported by the associated Gtk::Application, together with its application-wide actions. Window-specific actions are prefixed with the "win." prefix and application-wide actions are prefixed with the "app." prefix. Actions must be addressed with the prefixed name when referring to them from a Gio::MenuModel.

Note that widgets that are placed inside a Gtk::ApplicationWindow can also activate these actions, if they implement the Gtk::Actionable interface.

As with Gtk::Application, the GDK lock will be acquired when processing actions arriving from other processes and should therefore be held when activating actions locally (if GDK threads are enabled).

The settings Gtk::Settings::property_gtk_shell_shows_app_menu() and Gtk::Settings::property_gtk_shell_shows_menubar() tell GTK+ whether the desktop environment is showing the application menu and menubar models outside the application as part of the desktop shell. For instance, on OS X, both menus will be displayed remotely; on Windows neither will be. gnome-shell (starting with version 3.4) will display the application menu, but not the menubar.

If the desktop environment does not display the menubar, then Gtk::ApplicationWindow will automatically show a Gtk::MenuBar for it. (see the GtkApplication documentation for some screenshots of how this looks on different platforms). This behaviour can be overridden with the Gtk::ApplicationWindow::property_show_menubar() property. If the desktop environment does not display the application menu, then it will automatically be included in the menubar.

## Constructor & Destructor Documentation

virtual Gtk::ApplicationWindow::~ApplicationWindow | ( |  | ) |
| virtual

Gtk::ApplicationWindow::ApplicationWindow | ( |  | ) |

Gtk::ApplicationWindow::ApplicationWindow | ( | const Glib::RefPtr< Application >& | application | ) |
| explicit

## Member Function Documentation

guint Gtk::ApplicationWindow::get_id | ( |  | ) | const

Returns the unique ID of the window.

If the window has not yet been added to a Gtk::Application, returns `0`.

Since gtkmm 3.6:

Returns
  The unique ID for window, or `0` if the window has not yet been added to a Gtk::Application.

bool Gtk::ApplicationWindow::get_show_menubar | ( |  | ) | const

Returns whether the window will display a menubar for the app menu and menubar as needed.

Since gtkmm 3.4:

Returns
  `true` if window will display a menubar when needed.

static GType Gtk::ApplicationWindow::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkApplicationWindow* Gtk::ApplicationWindow::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkApplicationWindow* Gtk::ApplicationWindow::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkApplicationWindow* Gtk::ApplicationWindow::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< bool > Gtk::ApplicationWindow::property_show_menubar | ( |  | ) |

TRUE if the window should show a menubar at the top of the window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::ApplicationWindow::property_show_menubar | ( |  | ) | const

TRUE if the window should show a menubar at the top of the window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::ApplicationWindow::set_show_menubar | ( | bool | show_menubar = `true` | ) |

Sets whether the window will display a menubar for the app menu and menubar as needed.

Since gtkmm 3.4:

Parameters

  show_menubar | Whether to show a menubar when needed.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::ApplicationWindow > wrap | ( | GtkApplicationWindow * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/applicationwindow.h